0
Answered

How can I tell what phones are compatible

budbkind 10 year бұрын updated by Jona (Lead Developer) 10 year бұрын 0

Answer

Answer
Answered
All Android devices running OS version 1.5 and higher are supported.